Bug 816230 - system-config-kdump: grubby error
system-config-kdump: grubby error
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-kdump (Show other bugs)
17
All Linux
high Severity high
: ---
: ---
Assigned To: Roman Rakus
Fedora Extras Quality Assurance
:
: 733721 734656 769763 830384 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-25 10:52 EDT by Richard Marko
Modified: 2016-01-31 21:22 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-02 18:31:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
jpeg screenshot of first system-config-kdump popup. (293.67 KB, image/jpeg)
2012-06-16 17:24 EDT, George R. Goffe
no flags Details

  None (edit)
Description Richard Marko 2012-04-25 10:52:15 EDT
Description of problem:
Starting system-config-kdump results in pop-up with grubby-error:

Unable to get command line arguments for:
Called Command: /sbin/grubby --info
Standard Output: <empty>
Standard Error: grubby: kernel not found

Which results in 'Don't know how to configure your boot loader' message.

Version-Release number of selected component (if applicable):
system-config-kdump-2.0.5-7.fc17.noarch

How reproducible:
Always

Steps to Reproduce:
1. start system-config-kdump
Comment 1 Roman Rakus 2012-06-11 05:44:04 EDT
Are you still able to reproduce this bug?
Comment 2 Richard Marko 2012-06-11 06:10:09 EDT
No, I'm not able to reproduce original issue but now hitting Enable & Apply with default configuration results in another error:

Error writing bootloader configuration
Called Command: /sbin/grubby -- --update-kernel=/boot/vmlinuz-3.4.0-1.fc17.x86_64 --remove-args=ro rd.md=0 rd.dm=0 SYSFONT=True  KEYTABLE=us rd.luks.uuid=luks-fa7d9532-3ad5-42c6-b832-e14c3bd1e332 rd.lvm.lv=vg/lv_root rd.lvm.lv=vg/lv_swap LANG=en_US.UTF-8 rhgb quiet 

Standard Output: <empty>

Standard Error: grubby: unexpected argument --update-kernel=/boot/vmlinuz-3.4.0-1.fc17.x86_64
Comment 3 Roman Rakus 2012-06-13 04:29:39 EDT
Since Fedora is using by default grub2, everything is going bad. I need to review all grubby calls.
Comment 4 Roman Rakus 2012-06-13 04:31:10 EDT
*** Bug 830384 has been marked as a duplicate of this bug. ***
Comment 5 Fedora Update System 2012-06-14 05:32:27 EDT
system-config-kdump-2.0.7-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/system-config-kdump-2.0.7-1.fc17
Comment 6 Fedora Update System 2012-06-14 05:43:24 EDT
system-config-kdump-2.0.7-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/system-config-kdump-2.0.7-1.fc16
Comment 7 Roman Rakus 2012-06-14 05:50:15 EDT
*** Bug 769763 has been marked as a duplicate of this bug. ***
Comment 8 Roman Rakus 2012-06-14 05:51:50 EDT
*** Bug 734656 has been marked as a duplicate of this bug. ***
Comment 9 Roman Rakus 2012-06-14 05:53:10 EDT
*** Bug 733721 has been marked as a duplicate of this bug. ***
Comment 10 Fedora Update System 2012-06-15 08:19:48 EDT
Package system-config-kdump-2.0.7-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-kdump-2.0.7-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9444/system-config-kdump-2.0.7-1.fc17
then log in and leave karma (feedback).
Comment 11 Stuart D Gathman 2012-06-16 12:34:25 EDT
A different problem came up with new version.  When I start it, a dialog pops up and complains that it can't find a local filesystem with label CRASH and type ext4.  It clearly needs an adjustment to its meds:

[root@melissa ~]# mount | grep crash
/dev/mapper/vg_gail-dump on /var/crash type ext4 (rw,relatime,seclabel,user_xattr,acl,barrier=1)
[root@melissa ~]# e2label /dev/vg_gail/dump
CRASH
[root@melissa ~]# rpm -q system-config-kdump
system-config-kdump-2.0.7-1.fc16.noarch
Comment 12 Stuart D Gathman 2012-06-16 12:45:40 EDT
(Can't leave karma, gets an internal error from CherryPy when attempting to login.)  Ignoring the can't find filesystem error, I continue on and select the CRASH filesystem in Target settings and Apply.  This gets an error dialog saying that it couldn't run "/sbin/chkconfig kdump on" with "No such file or directory".  I note that kdump is a service, and chkconfig get forwarded to systemctl.  If I manually run "systemctl enable kdump.service", I get "Warning: unit files do not carry install information. No operation executed."
Comment 13 Stuart D Gathman 2012-06-16 12:52:27 EDT
Looking at configs, it *may* have actually worked, despite the complaints. I'll update, reboot and attempt a crash.
Comment 14 Stuart D Gathman 2012-06-16 12:56:53 EDT
abrt added bug#832697 - python error.
Comment 15 George R. Goffe 2012-06-16 17:24:58 EDT
Created attachment 592354 [details]
jpeg screenshot of first system-config-kdump popup.

After installing the new fc16 version of system-config-kdump I got the enclosed popups. After poking the close button 3 times, I was allowed to configure. This UI insisted on selecting the first kernel in my list of kernels even though I was booted from a different kernel.

echo c > /proc/sysrq-trigger produced a 57 line stack trace but did not write anything to /var/crash which is a link to another mounted file system.
Comment 16 Roman Rakus 2012-06-18 03:13:20 EDT
(In reply to comment #11)
> A different problem came up with new version.  When I start it, a dialog
> pops up and complains that it can't find a local filesystem with label CRASH
> and type ext4.  It clearly needs an adjustment to its meds:
> 
> [root@melissa ~]# mount | grep crash
> /dev/mapper/vg_gail-dump on /var/crash type ext4
> (rw,relatime,seclabel,user_xattr,acl,barrier=1)
> [root@melissa ~]# e2label /dev/vg_gail/dump
> CRASH
> [root@melissa ~]# rpm -q system-config-kdump
> system-config-kdump-2.0.7-1.fc16.noarch

Thanks for testing.

s-c-kdump is getting fs informations from /etc/fstab file.
You can always run s-c-kdump with debug messages enabled: system-config-kdump -d
That should print what was found in fstab file.

s-c-kdump will not be 100% mirroring every options you have, it will just provide basic configuration. You can always set up kdump manually.
Comment 17 Roman Rakus 2012-06-18 03:15:26 EDT
(In reply to comment #12)
> (Can't leave karma, gets an internal error from CherryPy when attempting to
> login.)  Ignoring the can't find filesystem error, I continue on and select
> the CRASH filesystem in Target settings and Apply.  This gets an error
> dialog saying that it couldn't run "/sbin/chkconfig kdump on" with "No such
> file or directory".  I note that kdump is a service, and chkconfig get
> forwarded to systemctl.  If I manually run "systemctl enable kdump.service",
> I get "Warning: unit files do not carry install information. No operation
> executed."

This may be a bug in the kexec-tools
Comment 18 Roman Rakus 2012-06-18 03:18:46 EDT
(In reply to comment #15)
> Created attachment 592354 [details]
> jpeg screenshot of first system-config-kdump popup.
> 
> After installing the new fc16 version of system-config-kdump I got the
> enclosed popups. After poking the close button 3 times, I was allowed to
> configure. This UI insisted on selecting the first kernel in my list of
> kernels even though I was booted from a different kernel.
> 
> echo c > /proc/sysrq-trigger produced a 57 line stack trace but did not
> write anything to /var/crash which is a link to another mounted file system.

Thanks for the report.
Can you please provide debug informations from s-c-kdump by running system-config-kdump -d?
Are you using grub2 or grub?
Comment 19 Stuart D Gathman 2012-06-19 20:54:19 EDT
Just noticed this.  It think this is from running systemctl kdump.service start from the kdump GUI.

Raw Audit Messages
type=AVC msg=audit(1340031871.713:2369): avc:  denied  { dac_override } for  pid=15228 comm="system-config-k" capability=1  scontext=system_u:system_r:kdumpgui_t:s0-s0:c0.c1023 tcontext=system_u:system_r:kdumpgui_t:s0-s0:c0.c1023 tclass=capability


type=SYSCALL msg=audit(1340031871.713:2369): arch=i386 syscall=access success=no exit=EACCES a0=838cdc8 a1=2 a2=488c5590 a3=8295050 items=0 ppid=1 pid=15228 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=system-config-k exe=/usr/bin/python2.7 subj=system_u:system_r:kdumpgui_t:s0-s0:c0.c1023 key=(null)

Hash: system-config-k,kdumpgui_t,kdumpgui_t,capability,dac_override

audit2allow

#============= kdumpgui_t ==============
allow kdumpgui_t self:capability dac_override;
Comment 20 Fedora Update System 2012-07-02 18:31:52 EDT
system-config-kdump-2.0.7-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 George R. Goffe 2012-07-02 21:03:33 EDT
Attempting to determine the version of system-config-kdump gives a popup with these messages:

Traceback (most recent call last):
  File "/usr/share/system-config-kdump/system-config-kdump.py", line 1841, in <module>
    ['debug', 'test', 'testing', 'help'])
  File "/usr/lib64/python2.7/getopt.py", line 90, in getopt
    opts, args = do_shorts(opts, args[0][1:], shortopts, args[1:])
  File "/usr/lib64/python2.7/getopt.py", line 190, in do_shorts
    if short_has_arg(opt, shortopts):
  File "/usr/lib64/python2.7/getopt.py", line 206, in short_has_arg
    raise GetoptError('option -%s not recognized' % opt, opt)
GetoptError: option -v not recognized

rpm -q system-config-kdump gives: 

system-config-kdump-2.0.7-1.fc16.noarch

Running system-config-kdump gives a popup with the following msgs:

/sbin/grubby --info /vmlinuz-3.4.2-1.fc16.x86_64.debug 

grubby: kernel not found

subsequent pokes of "close" give another popup with the same info... tried 3 times initially then I could type in the main "panel".

I'll be testing for the validity of the settings... i.e., the ability to create core dumps.

THANKS for the help!

George...
Comment 22 Fedora Update System 2012-07-10 12:28:45 EDT
system-config-kdump-2.0.7-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.